import{S as us,i as gs,s as ms,e as t,k as p,w as Q,t as h,M as ds,c as n,d as s,m as c,a as r,x as V,h as f,b as i,N as _s,f as ws,G as a,g as o,y as X,L as vs,q as Y,o as Z,B as ee,v as js}from"../chunks/vendor-hf-doc-builder.js";import{I as Ge}from"../chunks/IconCopyLink-hf-doc-builder.js";import{C as fs}from"../chunks/CodeBlock-hf-doc-builder.js";function ys(ze){let g,se,u,ve,je,m,U,ye,B,be,d,Qe,Ee,ke,$e,Se,ae,_,j,K,S,Ae,L,xe,te,T,Ce,ne,y,H,I,qe,Te,He,F,P,Ie,Fe,le,b,Pe,D,Ne,Re,re,N,Oe,ie,R,Me,oe,w,E,J,A,Ue,W,Be,pe,x,ce,O,Ke,he,v,k,G,C,Le,z,De,fe,q,ue;return S=new Ge({}),A=new Ge({}),x=new fs({props:{code:`import { createRepo, commit } from "@huggingface/hub";
import { HfInference } from "@huggingface/inference";

const HF_ACCESS_TOKEN = "hf_...";

await createRepo({
  repo: {type: "model", name: "my-user/nlp-test"},
  credentials: {accessToken: HF_ACCESS_TOKEN}
});

await commit({
  repo: {type: "model", name: "my-user/nlp-test"},
  credentials: {accessToken: HF_ACCESS_TOKEN},
  title: "Add model file",
  operations: [{
    operation: "addOrUpdate",
    path: "pytorch_model.bin",
    content: new Blob(...) // Can work with native File in browsers
  }]
});

const inference = new HfInference(HF_ACCESS_TOKEN);

await inference.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await inference.textToImage({
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  negative_prompt: 'blurry',
  model: 'stabilityai/stable-diffusion-2',
})`,highlighted:`<span class="hljs-keyword">import</span> { createRepo, commit } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;
<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/inference&quot;</span>;

<span class="hljs-keyword">const</span> <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span> = <span class="hljs-string">&quot;hf_...&quot;</span>;

<span class="hljs-keyword">await</span> <span class="hljs-title function_">createRepo</span>({
  <span class="hljs-attr">repo</span>: {<span class="hljs-attr">type</span>: <span class="hljs-string">&quot;model&quot;</span>, <span class="hljs-attr">name</span>: <span class="hljs-string">&quot;my-user/nlp-test&quot;</span>},
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>}
});

<span class="hljs-keyword">await</span> <span class="hljs-title function_">commit</span>({
  <span class="hljs-attr">repo</span>: {<span class="hljs-attr">type</span>: <span class="hljs-string">&quot;model&quot;</span>, <span class="hljs-attr">name</span>: <span class="hljs-string">&quot;my-user/nlp-test&quot;</span>},
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>},
  <span class="hljs-attr">title</span>: <span class="hljs-string">&quot;Add model file&quot;</span>,
  <span class="hljs-attr">operations</span>: [{
    <span class="hljs-attr">operation</span>: <span class="hljs-string">&quot;addOrUpdate&quot;</span>,
    <span class="hljs-attr">path</span>: <span class="hljs-string">&quot;pytorch_model.bin&quot;</span>,
    <span class="hljs-attr">content</span>: <span class="hljs-keyword">new</span> <span class="hljs-title class_">Blob</span>(...) <span class="hljs-comment">// Can work with native File in browsers</span>
  }]
});

<span class="hljs-keyword">const</span> inference = <span class="hljs-keyword">new</span> <span class="hljs-title class_">HfInference</span>(<span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>);

<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
})`}}),C=new Ge({}),q=new fs({props:{code:`pnpm install

pnpm -r format
pnpm -r test`,highlighted:`pnpm install

pnpm -r format
pnpm -r test`}}),{c(){g=t("meta"),se=p(),u=t("p"),ve=t("br"),je=p(),m=t("picture"),U=t("source"),ye=p(),B=t("source"),be=p(),d=t("img"),Ee=p(),ke=t("br"),$e=p(),Se=t("br"),ae=p(),_=t("h1"),j=t("a"),K=t("span"),Q(S.$$.fragment),Ae=p(),L=t("span"),xe=h("Hugging Face JS libraries"),te=p(),T=t("p"),Ce=h("This is a collection of JS libraries to interact with the Hugging Face API, with TS types included."),ne=p(),y=t("ul"),H=t("li"),I=t("a"),qe=h("@huggingface/hub"),Te=h(": Interact with huggingface.co to create or delete repos and commit / download files"),He=p(),F=t("li"),P=t("a"),Ie=h("@huggingface/inference"),Fe=h(": Use the Inference API to make calls to Machine Learning models!"),le=p(),b=t("p"),Pe=h("With more to come, like "),D=t("code"),Ne=h("@huggingface/endpoints"),Re=h(" to manage your HF Endpoints!"),re=p(),N=t("p"),Oe=h("We use modern features to avoid polyfills and dependencies, so the libraries will only work on modern browsers / Node.js >= 18 / Bun / Deno."),ie=p(),R=t("p"),Me=h("The libraries are still very young, please help us by opening issues!"),oe=p(),w=t("h2"),E=t("a"),J=t("span"),Q(A.$$.fragment),Ue=p(),W=t("span"),Be=h("Usage example"),pe=p(),Q(x.$$.fragment),ce=p(),O=t("p"),Ke=h("There are more features of course, check each library\u2019s README!"),he=p(),v=t("h2"),k=t("a"),G=t("span"),Q(C.$$.fragment),Le=p(),z=t("span"),De=h("Formatting & testing"),fe=p(),Q(q.$$.fragment),this.h()},l(e){const l=ds('[data-svelte="svelte-1phssyn"]',document.head);g=n(l,"META",{name:!0,content:!0}),l.forEach(s),se=c(e),u=n(e,"P",{align:!0});var $=r(u);ve=n($,"BR",{}),je=c($),m=n($,"PICTURE",{});var M=r(m);U=n(M,"SOURCE",{media:!0,srcset:!0}),ye=c(M),B=n(M,"SOURCE",{media:!0,srcset:!0}),be=c(M),d=n(M,"IMG",{alt:!0,src:!0,width:!0,height:!0,style:!0}),M.forEach(s),Ee=c($),ke=n($,"BR",{}),$e=c($),Se=n($,"BR",{}),$.forEach(s),ae=c(e),_=n(e,"H1",{class:!0});var ge=r(_);j=n(ge,"A",{id:!0,class:!0,href:!0});var Ve=r(j);K=n(Ve,"SPAN",{});var Xe=r(K);V(S.$$.fragment,Xe),Xe.forEach(s),Ve.forEach(s),Ae=c(ge),L=n(ge,"SPAN",{});var Ye=r(L);xe=f(Ye,"Hugging Face JS libraries"),Ye.forEach(s),ge.forEach(s),te=c(e),T=n(e,"P",{});var Ze=r(T);Ce=f(Ze,"This is a collection of JS libraries to interact with the Hugging Face API, with TS types included."),Ze.forEach(s),ne=c(e),y=n(e,"UL",{});var me=r(y);H=n(me,"LI",{});var Je=r(H);I=n(Je,"A",{href:!0});var es=r(I);qe=f(es,"@huggingface/hub"),es.forEach(s),Te=f(Je,": Interact with huggingface.co to create or delete repos and commit / download files"),Je.forEach(s),He=c(me),F=n(me,"LI",{});var We=r(F);P=n(We,"A",{href:!0});var ss=r(P);Ie=f(ss,"@huggingface/inference"),ss.forEach(s),Fe=f(We,": Use the Inference API to make calls to Machine Learning models!"),We.forEach(s),me.forEach(s),le=c(e),b=n(e,"P",{});var de=r(b);Pe=f(de,"With more to come, like "),D=n(de,"CODE",{});var as=r(D);Ne=f(as,"@huggingface/endpoints"),as.forEach(s),Re=f(de," to manage your HF Endpoints!"),de.forEach(s),re=c(e),N=n(e,"P",{});var ts=r(N);Oe=f(ts,"We use modern features to avoid polyfills and dependencies, so the libraries will only work on modern browsers / Node.js >= 18 / Bun / Deno."),ts.forEach(s),ie=c(e),R=n(e,"P",{});var ns=r(R);Me=f(ns,"The libraries are still very young, please help us by opening issues!"),ns.forEach(s),oe=c(e),w=n(e,"H2",{class:!0});var _e=r(w);E=n(_e,"A",{id:!0,class:!0,href:!0});var ls=r(E);J=n(ls,"SPAN",{});var rs=r(J);V(A.$$.fragment,rs),rs.forEach(s),ls.forEach(s),Ue=c(_e),W=n(_e,"SPAN",{});var is=r(W);Be=f(is,"Usage example"),is.forEach(s),_e.forEach(s),pe=c(e),V(x.$$.fragment,e),ce=c(e),O=n(e,"P",{});var os=r(O);Ke=f(os,"There are more features of course, check each library\u2019s README!"),os.forEach(s),he=c(e),v=n(e,"H2",{class:!0});var we=r(v);k=n(we,"A",{id:!0,class:!0,href:!0});var ps=r(k);G=n(ps,"SPAN",{});var cs=r(G);V(C.$$.fragment,cs),cs.forEach(s),ps.forEach(s),Le=c(we),z=n(we,"SPAN",{});var hs=r(z);De=f(hs,"Formatting & testing"),hs.forEach(s),we.forEach(s),fe=c(e),V(q.$$.fragment,e),this.h()},h(){i(g,"name","hf:doc:metadata"),i(g,"content",JSON.stringify(bs)),i(U,"media","(prefers-color-scheme: dark)"),i(U,"srcset","https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-dark.svg"),i(B,"media","(prefers-color-scheme: light)"),i(B,"srcset","https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-light.svg"),i(d,"alt","huggingface javascript library logo"),_s(d.src,Qe="https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-light.svg")||i(d,"src",Qe),i(d,"width","376"),i(d,"height","59"),ws(d,"max-width","100%"),i(u,"align","center"),i(j,"id","hugging-face-js-libraries"),i(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(j,"href","#hugging-face-js-libraries"),i(_,"class","relative group"),i(I,"href","hub/README"),i(P,"href","inference/README"),i(E,"id","usage-example"),i(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(E,"href","#usage-example"),i(w,"class","relative group"),i(k,"id","formatting-testing"),i(k,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(k,"href","#formatting-testing"),i(v,"class","relative group")},m(e,l){a(document.head,g),o(e,se,l),o(e,u,l),a(u,ve),a(u,je),a(u,m),a(m,U),a(m,ye),a(m,B),a(m,be),a(m,d),a(u,Ee),a(u,ke),a(u,$e),a(u,Se),o(e,ae,l),o(e,_,l),a(_,j),a(j,K),X(S,K,null),a(_,Ae),a(_,L),a(L,xe),o(e,te,l),o(e,T,l),a(T,Ce),o(e,ne,l),o(e,y,l),a(y,H),a(H,I),a(I,qe),a(H,Te),a(y,He),a(y,F),a(F,P),a(P,Ie),a(F,Fe),o(e,le,l),o(e,b,l),a(b,Pe),a(b,D),a(D,Ne),a(b,Re),o(e,re,l),o(e,N,l),a(N,Oe),o(e,ie,l),o(e,R,l),a(R,Me),o(e,oe,l),o(e,w,l),a(w,E),a(E,J),X(A,J,null),a(w,Ue),a(w,W),a(W,Be),o(e,pe,l),X(x,e,l),o(e,ce,l),o(e,O,l),a(O,Ke),o(e,he,l),o(e,v,l),a(v,k),a(k,G),X(C,G,null),a(v,Le),a(v,z),a(z,De),o(e,fe,l),X(q,e,l),ue=!0},p:vs,i(e){ue||(Y(S.$$.fragment,e),Y(A.$$.fragment,e),Y(x.$$.fragment,e),Y(C.$$.fragment,e),Y(q.$$.fragment,e),ue=!0)},o(e){Z(S.$$.fragment,e),Z(A.$$.fragment,e),Z(x.$$.fragment,e),Z(C.$$.fragment,e),Z(q.$$.fragment,e),ue=!1},d(e){s(g),e&&s(se),e&&s(u),e&&s(ae),e&&s(_),ee(S),e&&s(te),e&&s(T),e&&s(ne),e&&s(y),e&&s(le),e&&s(b),e&&s(re),e&&s(N),e&&s(ie),e&&s(R),e&&s(oe),e&&s(w),ee(A),e&&s(pe),ee(x,e),e&&s(ce),e&&s(O),e&&s(he),e&&s(v),ee(C),e&&s(fe),ee(q,e)}}}const bs={local:"hugging-face-js-libraries",sections:[{local:"usage-example",title:"Usage example"},{local:"formatting-testing",title:"Formatting & testing"}],title:"Hugging Face JS libraries"};function Es(ze){return js(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class As extends us{constructor(g){super();gs(this,g,Es,ys,ms,{})}}export{As as default,bs as metadata};
